#include <Timer 0 Temporizador.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C

#define entrada input(pin_b2) //interrupcion externa INT2

int8 val_timer;
float tiempo;

#INT_EXT2
void reset_timer()
{
     set_timer0(0);//Inicializa el timer0
     while(entrada)
     {}
     val_timer = get_timer0();//lectura el timer0
}

void mostrar()
{
      char texto[20];

      sprintf(texto,"Valor=%f", tiempo);
      OLED_DrawText(1,1,texto,1);

      OLED_Display();//Muestra la informacin en pantalla;
}

void main()
{

   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_256|RTCC_8_BIT); //overflow
   
   enable_interrupts(GLOBAL);
   enable_interrupts(INT_EXT2);
   
   OLED_Begin();
   OLED_ClearDisplay();

   while(TRUE)
   {

       tiempo = ((int16)val_timer*13.107)/256;
       
       mostrar();
      //TODO: User Code
   }

}
