#include <timer 0 contador.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C

#define salida pin_d0

int8 contador;

#int_timer0 //interrupcion por desbordamiento del timer0
void reset_timer ()
{
   output_bit(salida, 1);
   delay_ms(3000);
   output_bit(salida, 0);

   set_timer0(246); //inicializa el contador del timer0
}

void mostrar()
{
      char texto[20];

      sprintf(texto,"Valor=%03u", contador);
      OLED_DrawText(1,1,texto,1);

      OLED_Display();//Muestra la informacin en pantalla;
}

void main()
{
   setup_timer_0(RTCC_EXT_L_TO_H|RTCC_DIV_1|RTCC_8_BIT); //Por flanco de subida
   //setup_timer_0(RTCC_EXT_H_TO_L|RTCC_DIV_1|RTCC_8_BIT); //flanco de bajada

   set_timer0(246); //inicializa el contador del timer0 (10 pulsos)

   enable_interrupts(GLOBAL);
   enable_interrupts(INT_TIMER0);
   
   OLED_Begin();
   OLED_ClearDisplay();

   while(TRUE)
   {
      contador = get_timer0();
      mostrar();        
   }

}
