#include <Timer_0_PWM.h>

#FUSES NOMCLR

#define salida pin_d0

int16 POT;
float tiempo;

#int_timer0 //interrupcion por desbordamiento del timer0
void reset_timer()
{
   set_timer0(93); //Resetea el timer0
   if (input(salida) == 0)
   {
      delay_us((int16)tiempo);//controla el ancho de pulso positivo
   }
   output_toggle(salida); //cambia el estado del pin_d0 (1/0)
}

void main()
{
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_256|RTCC_8_BIT); //overflow

   enable_interrupts(GLOBAL);
   enable_interrupts(INT_TIMER0);

   set_timer0(93);//Inicializa el timer0

   setup_adc(ADC_CLOCK_INTERNAL);

   while(TRUE)
   {

      set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
      POT = read_adc();// lectura del valor
      tiempo = ((int32)POT*8333)/1023;
   }

}
